View Issue Details

IDProjectCategoryView StatusLast Update
0013735LazarusLCLpublic2011-04-06 14:51
ReporterReinhard BergerAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0013735: Shelltreeview missing property "root"
DescriptionThere is no public property in Shelltreeview called "root"
.

TagsNo tags attached.
Fixed in Revision28996
LazTarget-
Widgetset
Attached Files

Activities

Felipe Monteiro de Carvalho

2009-08-15 02:33

developer   ~0029860

What should it do? Show only subdirectories of the directory shown in root? If empty show all of them like now?

Reinhard Berger

2009-09-08 17:20

reporter   ~0030543

it should let you select the root path e.g. "/home" from where the subtree should start from.

Currently it starts from the entire root path "/".

Delphi let you set this from inside the application or from the Object Inspector.

Alejandro Lavarello

2009-10-30 17:37

reporter   ~0031807

I think that ShellTreeView could be like Windows Explorer. In Windows Explorer,
the first level nodes are not only disk drives, but folders like "My Documents", "Desktop", "Network", etc., at the same level that disks.
It could be a great feature if one can put some special directory as another root node.

Felipe Monteiro de Carvalho

2011-01-13 16:30

developer   ~0045149

I implemented a published property Root for TShellTreeView.

Issue History

Date Modified Username Field Change
2009-05-17 23:00 Reinhard Berger New Issue
2009-05-18 09:16 Vincent Snijders LazTarget => -
2009-05-18 09:16 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2009-05-18 09:16 Vincent Snijders Status new => assigned
2009-08-15 02:33 Felipe Monteiro de Carvalho Note Added: 0029860
2009-08-15 02:33 Felipe Monteiro de Carvalho Status assigned => feedback
2009-09-08 17:20 Reinhard Berger Note Added: 0030543
2009-10-30 17:37 Alejandro Lavarello Note Added: 0031807
2009-12-11 13:35 Vincent Snijders Status feedback => assigned
2011-01-13 16:30 Felipe Monteiro de Carvalho Fixed in Revision => 28996
2011-01-13 16:30 Felipe Monteiro de Carvalho Status assigned => resolved
2011-01-13 16:30 Felipe Monteiro de Carvalho Fixed in Version => 0.9.31 (SVN)
2011-01-13 16:30 Felipe Monteiro de Carvalho Resolution open => fixed
2011-01-13 16:30 Felipe Monteiro de Carvalho Note Added: 0045149
2011-04-06 14:51 Reinhard Berger Status resolved => closed